Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/CollectObjectGraphTest.cs	(revision 17021)
@@ -25,8 +25,8 @@
 using System.Linq;
 using System.Threading.Tasks;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Common;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -35,4 +35,5 @@
   [TestClass]
   public class CollectObjectGraphTest {
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     private TestContext testContextInstance;
@@ -48,5 +49,5 @@
     [TestProperty("Time", "medium")]
     public void TestObjectGraphTraversal() {
-      GeneticAlgorithm ga = (GeneticAlgorithm)XmlParser.Deserialize(@"Test Resources\GA_SymbReg.hl");
+      GeneticAlgorithm ga = (GeneticAlgorithm)serializer.Deserialize(@"Test Resources\GA_SymbReg.hl");
       var objects = ga.GetObjectGraphObjects().ToList();
 
@@ -60,5 +61,5 @@
     [TestProperty("Time", "medium")]
     public void CollectGASample() {
-      GeneticAlgorithm ga = (GeneticAlgorithm)XmlParser.Deserialize(@"Test Resources\GA_SymbReg.hl");
+      GeneticAlgorithm ga = (GeneticAlgorithm)serializer.Deserialize(@"Test Resources\GA_SymbReg.hl");
 
       Stopwatch watch = new Stopwatch();
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/DeepCloneableCloningTest.cs	(revision 17021)
@@ -23,9 +23,9 @@
 using System.Collections.Generic;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Common;
 using HeuristicLab.Core;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
 using HeuristicLab.Optimization;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.PluginInfrastructure;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -34,4 +34,6 @@
   [TestClass]
   public class DeepCloneableCloningTest {
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     private TestContext testContextInstance;
     public TestContext TestContext {
@@ -66,5 +68,5 @@
     [TestProperty("Time", "long")]
     public void TestCloningFinishedExperiment() {
-      Experiment experiment = (Experiment)XmlParser.Deserialize(@"Test Resources\SamplesExperimentFinished.hl");
+      Experiment experiment = (Experiment)serializer.Deserialize(@"Test Resources\SamplesExperimentFinished.hl");
 
       Experiment clone = (Experiment)experiment.Clone(new Cloner());
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/GeneticAlgorithmTest.cs	(revision 17021)
@@ -21,8 +21,8 @@
 
 using System;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Common;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.Xml;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
 
@@ -30,4 +30,5 @@
   [TestClass]
   public class GeneticAlgorithmTest {
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
     public GeneticAlgorithmTest() { }
 
@@ -45,5 +46,5 @@
     public void GeneticAlgorithmPerformanceTest() {
       ex = null;
-      GeneticAlgorithm ga = (GeneticAlgorithm)XmlParser.Deserialize(@"Test Resources\GA_TSP.hl");
+      GeneticAlgorithm ga = (GeneticAlgorithm)serializer.Deserialize(@"Test Resources\GA_TSP.hl");
       ga.ExceptionOccurred += new EventHandler<EventArgs<Exception>>(ga_ExceptionOccurred);
       ga.SetSeedRandomly.Value = false;
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/AlpsSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/AlpsSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/AlpsSampleTest.cs	(revision 17021)
@@ -22,8 +22,8 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.ALPS;
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.Regression;
@@ -40,4 +40,6 @@
     private const string SymRegSampleFileName = "ALPSGP_SymReg";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -46,5 +48,5 @@
       var alpsGa = CreateAlpsGaTspSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, TspSampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(alpsGa, path);
+      serializer.Serialize(alpsGa, path);
     }
 
@@ -55,5 +57,5 @@
       var alpsGa = CreateAlpsGaSymRegSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SymRegSampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(alpsGa, path);
+      serializer.Serialize(alpsGa, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/EsGriewankSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/EsGriewankSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/EsGriewankSampleTest.cs	(revision 17021)
@@ -21,8 +21,8 @@
 
 using System.IO;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.EvolutionStrategy;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -33,4 +33,6 @@
     private const string SampleFileName = "ES_Griewank";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -39,5 +41,5 @@
       var es = CreateEsGriewankSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(es, path);
+      serializer.Serialize(es, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GABppSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GABppSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GABppSampleTest.cs	(revision 17021)
@@ -21,8 +21,7 @@
 
 using System.IO;
-using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.BinPacking3D;
 using HeuristicLab.Selection;
@@ -34,4 +33,6 @@
     private const string SampleFileName = "GA_BPP";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -40,5 +41,5 @@
       var ga = CreateGaBppSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAGroupingProblemSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAGroupingProblemSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAGroupingProblemSampleTest.cs	(revision 17021)
@@ -21,7 +21,7 @@
 
 using System.IO;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.LinearLinkageEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Programmable;
 using HeuristicLab.Selection;
@@ -32,4 +32,7 @@
   public class GAGroupingProblemSampleTest {
     private const string SampleFileName = "GA_Grouping";
+
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     #region Code
     private const string ProblemCode = @"
@@ -96,5 +99,5 @@
       var ga = CreateGaGroupingProblemSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GATspSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GATspSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GATspSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances.TSPLIB;
 using HeuristicLab.Problems.TravelingSalesman;
@@ -35,4 +35,6 @@
     private const string SampleFileName = "GA_TSP";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -41,5 +43,5 @@
       var ga = CreateGaTspSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GAVrpSampleTest.cs	(revision 17021)
@@ -22,6 +22,6 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances;
 using HeuristicLab.Problems.Instances.VehicleRouting;
@@ -38,4 +38,6 @@
     private const string SampleFileName = "GA_VRP";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -44,5 +46,5 @@
       var ga = CreateGaVrpSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPArtificialAntSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.GeneticProgramming.ArtificialAnt;
 using HeuristicLab.Selection;
@@ -34,4 +34,6 @@
     private const string SampleFileName = "SGP_SantaFe";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -40,5 +42,5 @@
       var ga = CreateGpArtificialAntSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPMultiplexerSampleTest.cs	(revision 17021)
@@ -21,7 +21,7 @@
 
 using System.IO;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Selection;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -32,4 +32,6 @@
     private const string SampleFileName = "GP_Multiplexer";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -38,5 +40,5 @@
       var ga = CreateGpMultiplexerSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPRobocodeSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPRobocodeSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPRobocodeSampleTest.cs	(revision 17021)
@@ -22,8 +22,8 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.GeneticProgramming.Robocode;
 using HeuristicLab.Selection;
@@ -35,4 +35,6 @@
     private const string SampleFileName = "SGP_Robocode";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -41,5 +43,5 @@
       var ga = CreateGpRobocodeSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicClassificationSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -37,4 +37,6 @@
     private const string SampleFileName = "SGP_SymbClass";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -43,5 +45,5 @@
       var ga = CreateGpSymbolicClassificationSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer .Serialize(ga, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -37,4 +37,6 @@
     private const string SampleFileName = "SGP_SymbReg";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -43,5 +45,5 @@
       var ga = CreateGpSymbolicRegressionSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleWithOSTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleWithOSTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPSymbolicRegressionSampleWithOSTest.cs	(revision 17021)
@@ -24,7 +24,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
@@ -40,4 +40,6 @@
     private const int seed = 12345;
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -46,5 +48,5 @@
       var osga = CreateGpSymbolicRegressionSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(osga, path);
+      serializer.Serialize(osga, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GPTimeSeriesSampleTest.cs	(revision 17021)
@@ -21,7 +21,7 @@
 
 using System.IO;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm;
 using HeuristicLab.Encodings.SymbolicExpressionTreeEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.DataAnalysis.Symbolic.TimeSeriesPrognosis;
@@ -34,4 +34,6 @@
     private const string SampleFileName = "OSGP_TimeSeries";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -40,5 +42,5 @@
       var ga = CreateGpTimeSeriesSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GaussianProcessRegressionSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GaussianProcessRegressionSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GaussianProcessRegressionSampleTest.cs	(revision 17021)
@@ -22,6 +22,6 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.DataAnalysis;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -33,4 +33,6 @@
     private const string SampleFileName = "GPR";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Samples.Create")]
@@ -39,5 +41,5 @@
       var gpr = CreateGaussianProcessRegressionSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(gpr, path);
+      serializer.Serialize(gpr, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GeSymbolicRegressionSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GeSymbolicRegressionSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/GeSymbolicRegressionSampleTest.cs	(revision 17021)
@@ -22,6 +22,6 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.OffspringSelectionGeneticAlgorithm;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.DataAnalysis.Symbolic;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -32,4 +32,7 @@
   [TestClass]
   public class GeSymbolicRegressionSampleTest {
+
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     #region artificial ant
     private const string GeArtificialAntSampleFileName = "GE_ArtificialAnt";
@@ -41,5 +44,5 @@
       var geaa = CreateGeArtificialAntSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, GeArtificialAntSampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(geaa, path);
+      serializer.Serialize(geaa, path);
     }
 
@@ -80,5 +83,5 @@
       var geSymbReg = CreateGeSymbolicRegressionSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, GeSymbolicRegressionSampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(geSymbReg, path);
+      serializer.Serialize(geSymbReg, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/IslandGaTspSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/IslandGaTspSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/IslandGaTspSampleTest.cs	(revision 17021)
@@ -22,8 +22,8 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.GeneticAlgorithm;
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances.TSPLIB;
 using HeuristicLab.Problems.TravelingSalesman;
@@ -35,4 +35,5 @@
   public class UnitTest1 {
     private const string SampleFileName = "IslandGA_TSP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -42,5 +43,5 @@
       var ga = CreateIslandGaTspSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ga, path);
+      serializer.Serialize(ga, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/LocalSearchKnapsackSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/LocalSearchKnapsackSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/LocalSearchKnapsackSampleTest.cs	(revision 17021)
@@ -22,8 +22,8 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.LocalSearch;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.BinaryVectorEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Knapsack;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -33,4 +33,5 @@
   public class LocalSearchKnapsackSampleTest {
     private const string SampleFileName = "LS_Knapsack";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +41,5 @@
       var ls = CreateLocalSearchKnapsackSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ls, path);
+      serializer.Serialize(ls, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/OSESGriewankSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/OSESGriewankSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/OSESGriewankSampleTest.cs	(revision 17021)
@@ -21,9 +21,8 @@
 
 using System.IO;
-using HeuristicLab.Algorithms.EvolutionStrategy;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.OffspringSelectionEvolutionStrategy;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -33,4 +32,5 @@
   public class OSESGriewankSampleTest {
     private const string SampleFileName = "OSES_Griewank";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +40,5 @@
       var es = CreateOSESGriewankSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(es, path);
+      serializer.Serialize(es, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/PsoRastriginSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/PsoRastriginSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/PsoRastriginSampleTest.cs	(revision 17021)
@@ -23,7 +23,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.ParticleSwarmOptimization;
 using HeuristicLab.Encodings.RealVectorEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -33,4 +33,5 @@
   public class PsoRastriginSampleTest {
     private const string SampleFileName = "PSO_Rastrigin";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +41,5 @@
       var pso = CreatePsoRastriginSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(pso, path);
+      serializer.Serialize(pso, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/RAPGASchedulingSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/RAPGASchedulingSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/RAPGASchedulingSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.RAPGA;
 using HeuristicLab.Encodings.ScheduleEncoding.JobSequenceMatrix;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Scheduling;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -32,4 +32,5 @@
   public class RAPGASchedulingSampleTest {
     private const string SampleFileName = "RAPGA_JSSP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -39,5 +40,5 @@
       var ss = CreateRAPGASchedulingSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ss, path);
+      serializer.Serialize(ss, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/ScatterSearchVRPSampleTest.cs	(revision 17021)
@@ -22,6 +22,6 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.ScatterSearch;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances.VehicleRouting;
 using HeuristicLab.Problems.VehicleRouting;
@@ -32,4 +32,5 @@
   public class ScatterSearchVRPSampleTest {
     private const string SampleFileName = "SS_VRP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -39,5 +40,5 @@
       var ss = CreateScatterSearchVRPSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ss, path);
+      serializer.Serialize(ss, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/SimulatedAnnealingRastriginSampleTest.cs	(revision 17021)
@@ -22,9 +22,9 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.SimulatedAnnealing;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.RealVectorEncoding;
 using HeuristicLab.Optimization.Operators;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TestFunctions;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -34,4 +34,5 @@
   public class SimulatedAnnealingRastriginSampleTest {
     private const string SampleFileName = "SA_Rastrigin";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -41,5 +42,5 @@
       var sa = CreateSimulatedAnnealingRastriginSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(sa, path);
+      serializer.Serialize(sa, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchTspSampleTest.cs	(revision 17021)
@@ -22,7 +22,7 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.TabuSearch;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances.TSPLIB;
 using HeuristicLab.Problems.TravelingSalesman;
@@ -33,4 +33,5 @@
   public class TabuSearchTspSampleTest {
     private const string SampleFileName = "TS_TSP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +41,5 @@
       var ts = CreateTabuSearchTspSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(ts, path);
+      serializer.Serialize(ts, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/TabuSearchVRPSampleTest.cs	(revision 17021)
@@ -22,6 +22,6 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.TabuSearch;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Instances.VehicleRouting;
 using HeuristicLab.Problems.VehicleRouting;
@@ -33,4 +33,5 @@
   public class TabuSearchVRPSampleTest {
     private const string SampleFileName = "TS_VRP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +41,5 @@
       var vrp = CreateTabuSearchVrpSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(vrp, path);
+      serializer.Serialize(vrp, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsOpSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsOpSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsOpSampleTest.cs	(revision 17021)
@@ -22,8 +22,8 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.VariableNeighborhoodSearch;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.IntegerVectorEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.Orienteering;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -33,4 +33,5 @@
   public class VnsOpSampleTest {
     private const string SampleFileName = "VNS_OP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -40,5 +41,5 @@
       var vns = CreateVnsOpSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(vns, path);
+      serializer.Serialize(vns, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsTspSampleTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsTspSampleTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/Samples/VnsTspSampleTest.cs	(revision 17021)
@@ -22,9 +22,9 @@
 using System.IO;
 using System.Linq;
+using HEAL.Attic;
 using HeuristicLab.Algorithms.LocalSearch;
 using HeuristicLab.Algorithms.VariableNeighborhoodSearch;
 using HeuristicLab.Data;
 using HeuristicLab.Encodings.PermutationEncoding;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Problems.TravelingSalesman;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -34,4 +34,5 @@
   public class VnsTspSampleTest {
     private const string SampleFileName = "VNS_TSP";
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
 
     [TestMethod]
@@ -41,5 +42,5 @@
       var vns = CreateVnsTspSample();
       string path = Path.Combine(SamplesUtils.SamplesDirectory, SampleFileName + SamplesUtils.SampleFileExtension);
-      XmlGenerator.Serialize(vns, path);
+      serializer.Serialize(vns, path);
     }
     [TestMethod]
Index: /trunk/HeuristicLab.Tests/HeuristicLab-3.3/StorableTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab-3.3/StorableTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab-3.3/StorableTest.cs	(revision 17021)
@@ -27,5 +27,4 @@
 using HEAL.Attic;
 using HeuristicLab.Common;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.PluginInfrastructure;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Persistence.Attic/UseCases.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Persistence.Attic/UseCases.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Persistence.Attic/UseCases.cs	(revision 17021)
@@ -276,5 +276,4 @@
       for (int i = 0; i < REPS; i++) {
         var original = XmlParser.Deserialize(fileName);
-        byte[] buf;
         System.GC.Collect();
         var collection0 = System.GC.CollectionCount(0);
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GAQAPScriptTest.cs	(revision 17021)
@@ -22,5 +22,5 @@
 using System.IO;
 using System.Linq;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Problems.Instances.QAPLIB;
 using HeuristicLab.Problems.QuadraticAssignment;
@@ -37,4 +37,6 @@
     private const string BestQualityVariableName = "bestQuality";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -43,5 +45,5 @@
       var script = CreateGAQAPScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GUIAutomationScriptTest.cs	(revision 17021)
@@ -21,5 +21,5 @@
 
 using System.IO;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Scripting;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -32,4 +32,6 @@
     private const string ScriptItemDescription = "A script that runs a genetic algorithm on a traveling salesman problem with 5 different settings for population sizes and with 10 repetitions, then opens a bubble chart of the results and chooses the appropriate values for x and y axis automatically";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -38,5 +40,5 @@
       var script = CreateGUIAutomationScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFClassificationScriptTest.cs	(revision 17021)
@@ -22,5 +22,5 @@
 using System.IO;
 using System.Linq;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -38,4 +38,6 @@
     private const string BestSolutionVariableName = "bestSolution";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -44,5 +46,5 @@
       var script = CreateGridSearchRFClassificationScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFRegressionScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFRegressionScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchRFRegressionScriptTest.cs	(revision 17021)
@@ -22,5 +22,5 @@
 using System.IO;
 using System.Linq;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -38,4 +38,6 @@
     private const string BestSolutionVariableName = "bestSolution";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -44,5 +46,5 @@
       var script = CreateGridSearchRFRegressionScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMClassificationScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMClassificationScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMClassificationScriptTest.cs	(revision 17021)
@@ -22,5 +22,5 @@
 using System.IO;
 using System.Linq;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -38,4 +38,6 @@
     private const string BestSolutionVariableName = "bestSolution";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -44,5 +46,5 @@
       var script = CreateGridSearchSVMClassificationScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMRegressionScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMRegressionScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/GridSearchSVMRegressionScriptTest.cs	(revision 17021)
@@ -22,5 +22,5 @@
 using System.IO;
 using System.Linq;
-using HeuristicLab.Persistence.Default.Xml;
+using HEAL.Attic;
 using HeuristicLab.Problems.DataAnalysis;
 using HeuristicLab.Problems.Instances.DataAnalysis;
@@ -38,4 +38,6 @@
     private const string BestSolutionVariableName = "bestSolution";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -44,5 +46,5 @@
       var script = CreateGridSearchSVMRegressionScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
Index: /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/OSGARastriginScriptTest.cs
===================================================================
--- /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/OSGARastriginScriptTest.cs	(revision 17020)
+++ /trunk/HeuristicLab.Tests/HeuristicLab.Scripting-3.3/OSGARastriginScriptTest.cs	(revision 17021)
@@ -21,6 +21,6 @@
 
 using System.IO;
+using HEAL.Attic;
 using HeuristicLab.Data;
-using HeuristicLab.Persistence.Default.Xml;
 using HeuristicLab.Scripting;
 using Microsoft.VisualStudio.TestTools.UnitTesting;
@@ -38,4 +38,6 @@
     private const string BestQualityVariableName = "bestFitness";
 
+    private static readonly ProtoBufSerializer serializer = new ProtoBufSerializer();
+
     [TestMethod]
     [TestCategory("Scripts.Create")]
@@ -44,5 +46,5 @@
       var script = CreateOSGARastriginScript();
       string path = Path.Combine(ScriptingUtils.ScriptsDirectory, ScriptFileName + ScriptingUtils.ScriptFileExtension);
-      XmlGenerator.Serialize(script, path);
+      serializer.Serialize(script, path);
     }
 
